<?php

namespace App\Exceptions;

use App\Mail\ReportInvalidFinancialSettlementFromPGS;
use App\Models\Order;
use Exception;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;

class InvalidFinancialSettlementFromPGS extends Exception
{
    public Order $order;
    public function __construct(
        public string $errorMsg,
        public array $pgsData,
    ) {
        $this->order = Order::find((int) $pgsData['orderId']);
        // $this->errorMsg = $errorMsg;
    }
    /**
     * Report the exception.
     */
    public function report(): void
    {
        flash()->position('bottom-left')->addInfo('pgs amount or fees validation error');

        Log::info($this->errorMsg, ['email' => $this->order->user->email]);

        // mail to dev
        Mail::to(config('app.dev_email', 'meetdaniels@gmail.com'))->send(new ReportInvalidFinancialSettlementFromPGS($this->errorMsg, $this->pgsData));
    }
}
