<?php

namespace App\Exceptions;

use Exception;
use App\Models\Order;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Mail;
use App\Mail\ReportUnableToVerifyPaymentWithPGS;

class UnableToVerifyPaymentWithPgs extends Exception
{
    public Order $order;

    public function __construct(public array $pgsData)
    {
        $this->order = Order::find((int) $pgsData['orderId']);
    }

    /**
     * Report the exception.
     */
    public function report(): void
    {
        Log::info('unable to verify payment with paystack', ['orderId' => $this->order->id]);
        // mail dev
        Mail::to(config('app.dev_email'))->queue(new ReportUnableToVerifyPaymentWithPGS($this->order, $this->pgsData));

    }

    public function render(): void
    {
    }
}
