<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Order;
use App\Models\Product;
use Illuminate\Http\Request;

class DashboardController extends Controller
{
    public function __invoke()
    {
        if (authy()->hasRole('admin')) {

            $totalProductsCount = Product::count();
            $totalProductCheckout = Order::successful()->sum('items_count');
            $totalUserCount = User::count();
            $totalOrderCount = Order::successful()->count();
            $totalOrderVolume = Order::successful()->get()->sum(
                fn($elem) => floatval(
                    // replace ',' with ''
                    str_replace(',', '', $elem->total_amount)
                )
            );

            return view('dashboard', compact(
                'totalProductsCount',
                'totalProductCheckout',
                'totalUserCount',
                'totalOrderCount',
                'totalOrderVolume',
            ));
        } else {


            $totalOrderCount = authy()->orders()->successful()->count();
            $totalOrderVolume = authy()->orders()->successful()->get()->sum(
                fn($elem) => floatval(
                    // replace ',' with ''
                    str_replace(',', '', $elem->total_amount)
                )
            );

            return view('dashboard', compact(
                'totalOrderCount',
                'totalOrderVolume',
            ));
        }

    }
}
