<?php

namespace App\Http\Controllers;

use App\Models\Order;
use Illuminate\Http\Request;
use App\PaymentGatewayServices\Paystack;
use App\Contracts\Payment\PaymentGatewayServiceContract;

class PaymentController extends Controller
{
    //


    /**
     * should return a redirect to the payment gateway's paymentUrl
     */
    public function handlePayment(Order $order)
    {
        $selectedPaymentGateway = $this->autoSelectBestPaymentGateway($order);
        $selectedPaymentGateway->receivePaymentFor($order);
        // dd($selectedPaymentGateway, json_decode($order->content));

        return $selectedPaymentGateway->acceptPayment();
    }



    /**
     * Dummy Method:
     * hypothetically, it chooses the best payment gateway from a list of all our installed 
     * payment gateways, based on (network signal) strength
     */
    public function autoSelectBestPaymentGateway($order): PaymentGatewayServiceContract
    {
        // here we check network signal
        // $response = false;
        // testing paystack connection

        // test paystack
        // try {
        //     $response = Http::get('https://status.paystack.com');
        // } catch (\Throwable $th) {
        //     // return back()->withInput();
        //     // dd('connection error');
        //     return redirect()->route('show-retry-payment-form', $order->id);
        // }


        // after much testing
        return new Paystack();
    }

}
