<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CheckoutRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            "first_name" => "required",
            "last_name" => "required",
            "company" => "nullable",
            "address_line1" => "required",
            "address_line2" => "nullable",
            "city" => "required",
        ];
    }

    public function messages()
    {
        return
            [
                'address_line1.required' => 'the address line 1 field is required',
            ];
    }
}
