<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'categories' => 'required',
            'name' => 'required',
            'price' => 'required',
            'description' => 'required',
            // for sizes
            'all_sizes' => 'sometimes',

            // custom sizes
            'sizes' => 'sometimes',
            "size_xs_qty" => "sometimes",
            "size_s_qty" => "sometimes",
            "size_m_qty" => "sometimes",
            "size_l_qty" => "sometimes",
            "size_xl_qty" => "sometimes",
            "size_xxl_qty" => "sometimes",
            "size_xxxl_qty" => "sometimes",
            "size_xxxxl_qty" => "sometimes",

            'photo_1' => 'nullable|image|max:1024',
            'photo_2' => 'nullable|image|max:1024',
            'photo_3' => 'nullable|image|max:1024',
            'photo_4' => 'nullable|image|max:1024',
            'photo_5' => 'nullable|image|max:1024',
            'photo_6' => 'nullable|image|max:1024',
            // 'photo_7' => 'sometimes|image|max:1024',
        ];

    }
}
