<?php

namespace App\Livewire;

use App\Models\Product;
use Livewire\Component;
use Gloudemans\Shoppingcart\Facades\Cart;

class DecrementItemQtyInCart extends Component
{
    public int $id;

    public function render()
    {
        return view('livewire.decrement-item-qty-in-cart');
    }

    public function decrement()
    {
        $item = getProductInCart(Product::find($this->id), 'default');
        
        $newQty = $item->qty >= 2 ? $item->qty - 1 : 1;
        
        Cart::update($item->rowId, $newQty);
        
        $this->dispatch('cart_updated');

    }
}
