<?php

namespace App\Livewire;

use App\Models\Product;
use Livewire\Component;
use Gloudemans\Shoppingcart\Facades\Cart;

class IncrementItemQtyInCart extends Component
{
    /**
     * @var int $id refers to the item / product id
     */
    public int $id;
    public function render()
    {

        return view('livewire.increment-item-qty-in-cart');
    }

    public function increment()
    {
        $item = getProductInCart(Product::find($this->id), 'default');
        $newQty = $item->qty + 1;
        Cart::update($item->rowId, $newQty);
        $this->dispatch('cart_updated');

    }
}
