<?php

namespace App\Livewire;

use App\Models\Product;
use Livewire\Component;
use Livewire\Attributes\On;
use Gloudemans\Shoppingcart\Facades\Cart;

class ProductQtyInWishlist extends Component
{

    /**
     * @var int refers to the item / product id
     */
    public int $id;
    public ?int $qtyInWishlist = 0;

    public function render()
    {
        $this->qtyInWishlist = getCart('wishslist')->content()->where('id', $this->id)->first()->qty;
        return view('livewire.product-qty-in-wishlist');
    }

    public function updatedQtyInCart()
    {
        $item = getProductInCart(Product::find($this->id), 'default');
        // makes 0 or null ineffective to the qty count
        if ($this->qtyInWishlist) {
            Cart::update($item->rowId, $this->qtyInWishlist);
            $this->dispatch('cart_updated');
        }
    }

}
