<?php

namespace App\Livewire;

use App\Models\Product;
use Livewire\Component;
use Livewire\Attributes\On;
use Gloudemans\Shoppingcart\Facades\Cart;

class ProductSubTotal extends Component
{
    public int $id;
    public float|null $subTotal; 

    #[On('cart_updated')] //version 3 method
    public function render()
    {
        $this->subTotal = getProductInCart(Product::find($this->id), 'default')?->subtotal;
        return view('livewire.product-sub-total');
    }
}
