<?php

namespace App\Livewire;

use Livewire\Component;
use Gloudemans\Shoppingcart\Facades\Cart;
class SingleProductView extends Component
{
    public $product;
    public $qty;

    public function mounted()
    {
        $this->qty = 1;
    }
    public function render()
    {
        return view('livewire.single-product-view');
    }


    public function addToCart()
    {
        Cart::add($this->product);

        $this->dispatch('cart_updated');

        flash()->position('bottom-right')->addSuccess('Item added to cart');
    }


    public function removeFromCart()
    {
        $productRowIdInCart = getProductInCart($this->product)->rowId;

        if (!$productRowIdInCart)
            return false;

        Cart::remove($productRowIdInCart);

        $this->dispatch('cart_updated');

        flash()->position('bottom-right')->addSuccess('Item removed from cart');
    }

    public function addToWishlist()
    {
        Cart::instance('wishlist')->add($this->product);

        $this->dispatch('wishlist_updated');

        flash()->position('bottom-right')->addSuccess('Item added to wishlist');
    }

    public function removeFromWishlist()
    {
        $productRowIdInWishlist = getProductInCart($this->product, 'wishlist')->rowId;

        if (!$productRowIdInWishlist)
            return false;

        Cart::instance('wishlist')->remove($productRowIdInWishlist);

        $this->dispatch('wishlist_updated');

        flash()->position('bottom-right')->addSuccess('Item removed from wishlist');
    }


}
