<?php

namespace App\Mail;

use App\Models\Order;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class ReportInvalidFinancialSettlementFromPGS extends Mailable
{
    use Queueable, SerializesModels;
    public Order $relatedOrder;
    /**
     * Create a new message instance.
     */
    public function __construct(
        public string $errorMsg,
        public array $pgsData
    ) {
        $this->relatedOrder = Order::find((int) $pgsData['orderId']);
    }

    /**
     * Get the message envelope.
     */
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Report Invalid Financial Settlement From PGS',
        );
    }

    /**
     * Get the message content definition.
     */
    public function content(): Content
    {
        return new Content(
            markdown: 'mail.report-invalid-financial-settlement-from-p-g-s',
        );
    }

    /**
     * Get the attachments for the message.
     *
     * @return array<int, \Illuminate\Mail\Mailables\Attachment>
     */
    public function attachments(): array
    {
        return [];
    }
}
