<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class DeliveryInfo extends Model
{
    use HasFactory;

    protected $guarded = ['id'];



    // relationship
    public function order(): BelongsTo
    {
        return $this->belongsTo(Order::class);
    }

    public function getAddress()
    {
        return "{$this->address_line1}, {$this->address_line2}";
    }

    public function getFullName()
    {
        return "{$this->first_name} {$this->last_name}";
    }
}
