<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Picture extends Model
{
    use HasFactory;

    protected $guarded = ['id'];


    /**
     * gets the main picture for this property
     * @param Builder $query
     * 
     * @return void
     */
    public function scopeDefaultPicture(Builder $query): void
    {
        $query->where('default', true);
    }

    // Accessors
    protected function path(): Attribute
    {
        return Attribute::make(
            get: fn(string $value) => str_replace('public', 'storage', $value),
        );
    }

    public function pathInStorage()
    {
        return str_replace('storage', '', $this->path);
    }
}