<?php

namespace App\Observers;

use App\Models\Size;
use App\Models\Product;
use Illuminate\Support\Str;

class ProductObserver
{
    /**
     * Handle the Product "created" event.
     */
    public function created(Product $product): void
    {
        $this->updateSlug($product);
        // $this->updateInventory($product);
    }

    /**
     * Handle the Product "updated" event.
     */
    public function updated(Product $product): void
    {
    }

    /**
     * Handle the Product "deleted" event.
     */
    public function deleted(Product $product): void
    {
        //
    }

    /**
     * Handle the Product "restored" event.
     */
    public function restored(Product $product): void
    {
        //
    }

    /**
     * Handle the Product "force deleted" event.
     */
    public function forceDeleted(Product $product): void
    {
        //
    }


    // helpers
    public function updateSlug(Product $product)
    {
        $product->update(['slug' => Str::slug($product->name)]);
    }

    // public function updateInventory(Product $product)
    // {
    //     $sumOfSizesQty = 0;

    //     foreach (Size::all() as $size) {
    //         $sumOfSizesQty += $product?->getStockQtyForSize($size);
    //     }
    //     // dd('sumof', $sumOfSizesQty);
    //     $product->inventory = $sumOfSizesQty;
    //     $product->save();

    // }
}
