<?php
namespace App\Traits;

trait PaystackRequests
{

    /**
     * alias for PaystackRequests::getPaystackHeaders()
     * this returns the paystack api authentication headers as an object method.
     */
    public function getPaystackAuthHeaders(): array
    {
        return
            [
                "Authorization" => config('app.paystack_private_keys'),
                "Content-Type" => "application/json ",
            ];
    }

    /**
     * Returns the paystack headers as a static method
     * @return array
     */
    public static function getPaystackHeaders(): array
    {
        return
            [
                "Authorization" => config('app.paystack_private_keys'),
                "Content-Type" => "application/json ",
            ];
    }
}