<?php
use Gloudemans\Shoppingcart\CartItem;
use Gloudemans\Shoppingcart\Cart as CartInstance;
use Gloudemans\Shoppingcart\Facades\Cart;

// cart related helpers

if (!function_exists('productInCart')) {
    function productInCart($product, $instance = 'default'): bool
    {
        return (bool) Cart::instance($instance)->content()->where('id', $product->id)->count();
    }
}


if (!function_exists('getProductInCart')) {
    function getProductInCart($product, $instance = 'default'): CartItem|null
    {
        return Cart::instance($instance)->content()->where('id', $product->id)->first();
    }
}


if (!function_exists('getCart')) {
    function getCart($instance = 'default'): CartInstance
    {
        return Cart::instance($instance);
    }
}


if (!function_exists('getCartContents')) {
    function getCartContents($instance = 'default'): Illuminate\Support\Collection
    {
        return Cart::instance($instance)->content();
    }
}