<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->boolean('status')->default(true); //for soft deletes
            $table->string('name',200)->unique(); //made it unique for future migrations
            $table->string('slug', 250)->unique()->nullable();
            $table->longText('description')->nullable();
            $table->integer('inventory')->nullable();
            $table->float('price');
            
            $table->softDeletes();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
