<?php

use App\Models\Pgs;
use App\Models\User;
use App\Models\Client;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();

            $table->foreignIdFor(User::class); //compulsory
            $table->string('identifier')->unique(); //compulsory

            // after pgs transaction
            $table->foreignIdFor(Pgs::class, 'pgs_id')->default(0)->nullable(); //new mig::
            $table->string('tx_ref')->unique()->nullable(); //compulsory
            $table->string('pgs_tx_id')->unique()->nullable(); //compulsory
            $table->string('status')->default('pending');


            // basket info
            $table->longText('content')->nullable(); //__order_cart_content
            $table->tinyInteger('items_count')->default(0);
            $table->string('cart_item_ids')->nullable();
            $table->string('total_amount')->default('0.00'); //future migs


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
