<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pgs', function (Blueprint $table) {
            $table->id();

            $table->string('name')->unique();
            $table->string('slug')->unique()->nullable();
            $table->float('rate');

            $table->string('parent')->nullable()->default('self');//parent company name
            $table->boolean('hasAddedFee')->default(false)->nullable();
            $table->integer('additionalFee')->default(0.00)->nullable();
            $table->boolean('status')->default(false)->nullable(); //active or inactive
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pgs');
    }
};
