<?php

use App\Models\Order;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payment_authorization_infos', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Order::class);
            $table->string('bin', 6);
            $table->string('last4', 4);
            $table->string('channel', 20);
            $table->string('exp_month', 2);
            $table->string('exp_year', 4);
            $table->string('card_type', 20);
            $table->string('receiver_bank', 50)->nullable();
            $table->string('receiver_bank_account_number', 10)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payment_authorization_infos');
    }
};
