<?php

namespace Database\Seeders;

use App\Models\PG;
use App\Models\Pgs;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class PGSeeder extends Seeder
{
    /**
     * Run the database seeds.
     * For the Payment Gateways
     *
     * @return void
     */
    public function run()
    {
        $this->createPaystackPG();
        $this->createFlwPG();
        $this->createRexpayPG();
    }


    private function createPaystackPG()
    {
        Pgs::create([
            'name' => 'paystack', //unique
            'slug' => 'paystack', //unique
            'rate' => 0.015, //1.4%
            // nullables
            'hasAddedFee' => true,
            'additionalFee' => 100,
            'status' => true,
            'parent' => 'Stripe',
        ]);
    }


    private function createFlwPG()
    {
        Pgs::create([
            'name' => 'flutterwave', //unique
            'slug' => 'flw', //unique
            'rate' => 0.014, //1.4%
            // nullables
            'hasAddedFee' => false,
            // 'additionalFee' => ,
            'status' => true,
            'parent' => 'self',
        ]);
    }


    private function createRexpayPG()
    {
        Pgs::create([
            'name' => 'rexpay', //unique
            'slug' => 'rexpay', //unique| nullable
            'rate' => 0.015, //1.4%
            // nullables
            'hasAddedFee' => false,
            // 'additionalFee' => '',
            'status' => true,
            'parent' => 'gtbank | habari ...etc.',
        ]);
    }
}
