<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
      $adminRole =   Role::create([
            'name' => 'admin'
        ]);

        $userRole = Role::create([
            'name' => 'user'
        ]);

        $viewAllOrders = Permission::create([
            'name' => 'view all orders'
        ]);

        $viewMyOrders = Permission::create([
            'name' => 'view my orders'
        ]);
        $adminRole->givePermissionTo([$viewAllOrders]);
        $userRole->givePermissionTo([$viewMyOrders]);
        
    }
}
