<?php

namespace Database\Seeders;

use App\Models\Size;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class SizeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $this->createSizeXs();
        $this->createSizeS();
        $this->createSizeM();
        $this->createSizeL();
        $this->createSizeXL();
        $this->createSizeXXL(); //2xl
        $this->createSizeXXXL(); //3xl
        $this->createSizeXXXXL(); //4xl
    }


    public function createSizeXs()
    {
        $size_xs = new Size;
        $size_xs->name = 'xs';
        $size_xs->bust = '31 - 33';
        $size_xs->waist = '23 - 25';
        $size_xs->hip = '33 - 37';
        $size_xs->save();
    }

    public function createSizeS()
    {
        $size_S = new Size;
        $size_S->name = 's';
        $size_S->bust = '34 - 36';
        $size_S->waist = '24 - 26';
        $size_S->hip = '36 - 38';
        $size_S->save();
    }


    public function createSizeM()
    {
        $size_M = new Size;
        $size_M->name = 'm';
        $size_M->bust = '37 - 39';
        $size_M->waist = '29 - 31';
        $size_M->hip = '39 - 41';
        $size_M->save();
    }

    public function createSizeL()
    {
        $size_L = new Size;
        $size_L->name = 'l';
        $size_L->bust = '40 - 42';
        $size_L->waist = '32 - 34';
        $size_L->hip = '42 - 44';
        $size_L->save();
    }

    public function createSizeXL()
    {
        $size_XL = new Size;
        $size_XL->name = 'xl';
        $size_XL->bust = '43 - 45';
        $size_XL->waist = '36 - 38';
        $size_XL->hip = '45 - 47';
        $size_XL->save();
    }

    public function createSizeXXL()
    {
        $size_XXL = new Size;
        $size_XXL->name = 'xxl';
        $size_XXL->bust = '46 - 48';
        $size_XXL->waist = '39 - 41';
        $size_XXL->hip = '48 - 50';
        $size_XXL->save();
    }

    public function createSizeXXXL()
    {
        $size_XXXL = new Size;
        $size_XXXL->name = 'xxxl';
        $size_XXXL->bust = '49 - 51';
        $size_XXXL->waist = '42 - 44';
        $size_XXXL->hip = '51 - 53';
        $size_XXXL->save();
    }


    public function createSizeXXXXL()
    {
        $size_XXXXL = new Size;
        $size_XXXXL->name = 'xxxxl';
        $size_XXXXL->bust = '52 - 55';
        $size_XXXXL->waist = '45 - 47';
        $size_XXXXL->hip = '53 - 55';
        $size_XXXXL->save();
    }
}
