<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Account Orders') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8 lg:w-2/3">
            <div class="w-full bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <div class="py-10 w-full text-gray-900 dark:text-gray-100 ">
                    <div class="relative overflow-x-auto w-full" uname='heading'>
                        <div class="flex mx-10 gap-x-4 pb-5">
                            <a href="{{ route('orders.index') }}">
                                <i class="font-semibold block mt-1 lni lni-arrow-left text-black"></i>
                            </a>
                            <span class="font-semibold block "> Order Details</span>
                        </div>
                        <hr class="border border-red-800 w-full">
                    </div>

                    {{-- order information --}}
                    <section class="order-information-section m-10 ">
                        <div class="heading capitalize font-bold bg-gray-200 p-3"><span>Order information</span></div>
                        <div class="order-content bg-gray-100 p-3 w-full">
                            <div uname="order-number" class="flex my-2 text-sm justify-between">
                                <span class="order-number-label">Order Number</span>
                                <span class="order-number-value font-semibold">{{ $order->identifier }}</span>
                            </div>
                            <div uname="order-date" class="flex justify-between my-2 text-sm">
                                <span class="order-date-label">Order Date</span>
                                <span class="order-date-value font-semibold">{{ $order->created_at }}</span>
                            </div>
                            <div uname="order-vendor" class="flex justify-between my-2 text-sm">
                                <span class="order-vendor-label">Order Sold by</span>
                                <span class="order-vendor-value font-semibold">Create2Fit</span>
                            </div>
                            <div uname="order-tracking" class="flex justify-between my-2 text-sm">
                                <span class="order-tracking-label">Order tracking ID</span>
                                <span class="order-tracking-value font-semibold">{{ $order->identifier }}</span>
                            </div>
                            <div uname="order-delivery-fee" class="flex justify-between my-2 text-sm">
                                <span class="order-delivery-label">Order delivery Fee</span>
                                <span class="order-delivery-value font-semibold text-green-500">Free
                                </span>
                            </div>
                            <div uname="order-total-amount" class="flex justify-between my-2 text-sm">
                                <span class="order-total-label font-semibold">Order total Amount</span>
                                <span class="order-total-value font-semibold">{{ $order->total_amount }}
                                </span>
                            </div>
                        </div>

                    </section>

                    {{-- payment information --}}
                    <section class="section-for-payment-and-delivery-info m-10 lg:flex lg:gap-5">
                        <section uname="payment-information" class="w-full">
                            <div class="heading capitalize font-bold bg-gray-200 p-3">
                                <span>Payment information</span>
                            </div>
                            <div class="payment-info-content bg-gray-100 p-3 w-full">
                                <div uname="payment-method" class="my-2 text-sm justify-between">
                                    <div class="payment-method-label font-semibold">Payment Method</div>
                                    <div class="payment-method-value ">{{ $order->identifier }}</div>
                                </div>

                                <div uname="payment-details" class="my-2 text-sm justify-between">
                                    <div class="payment-details-label font-semibold">Payment Details</div>
                                    <div class="payment-details-value ">
                                        <div><span class=" text-gray-500"> Items total: ₦ {{ $order->total_amount }}</span></div>
                                        <div><span class=" text-gray-500"> Shipping Fee: <span class=" text-green-500">Free</span></span></div>
                                    </div>
                                </div>

                                <div uname="payment-total" class="my-2 text-sm justify-between">
                                    <div class="payment-total-value font-semibold">Total: ₦ {{ $order->total_amount }}</div>
                                </div>
                            </div>
                        </section>

                        <section uname="delivery-information" class="w-full">
                            <div class="heading capitalize font-bold bg-gray-200 p-3">
                                <span>Delivery information</span>
                            </div>
                            <div class="delivery-info-content bg-gray-100 p-3 w-full">
                                <div uname="receiver-details" class="my-2 text-sm justify-between">
                                    <div class="receiver-name-value text-gray-500 font-semibold">{{ $order->deliveryInfo?->getFullName() }}</div>
                                    <div class="receiver-address-value text-gray-500">{{ $order->deliveryInfo?->getAddress() }}</div>
                                    <div class="receiver-phone-value text-gray-500">{{ $order->deliveryInfo?->phone }}</div>
                                </div>
                            </div>

                        </section>

                    </section>

                    {{-- product information --}}
                    <section uname="items-ordered-information-section" class="m-10">
                        <div class="heading flex justify-between capitalize font-bold bg-gray-200 p-3">
                            <span class="py-1">Items Ordered</span>
                            {{-- <span class="rounded bg-green-600 px-4 text-white py-1">Delivered</span> --}}
                        </div>
                        @foreach (json_decode($order->content) as $item)
                            
                        <div class="items-ordered-content bg-gray-100 p-3 w-full lg:flex justify-between">
                            <div class="product-information flex gap-3">
                                <div class="product-img-container lg:p-5">
                                    <img src="{{ asset('hero-images/landingpage/site_banner2-mobile.jpg') }}"
                                        alt="no-img" width="70" />
                                </div>
                                <div class="product-info-container text-gray-400 lg:p-5">
                                    <div class=" my-1 product-name"> {{ $item->model->name }}</div>
                                    <div class=" my-1 product-price text-black font-semibold"> ₦{{ $item->price }}</div>
                                    <div class=" my-1 product-qty-ordered">Qty {{ $item->qty }}</div>
                                </div>
                            </div>
                            <div class="item-ordered-cta-button mt-5">
                                <a href="{{ route('products.show', $item->id) }}" class="bg-pink-500 px-6 py-2 rounded text-white">Buy Again</a>
                            </div>
                        </div>

                        @endforeach

                    </section>
                </div>
            </div>
        </div>
    </div>
</x-app-layout>
