<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Dashboard') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8 lg:w-2/3 ">
            <div class="p-10 bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <header class="mb-10">
                    Fill the form below to add a product collection to the online store
                </header>

                <form action="{{ route('productCollections.store') }}" method="POST" enctype="multipart/form-data">@csrf

                    <div class="form-group my-5">
                        <x-input-label for="name" value="Product Collection Name" class="my-2" />
                        <x-text-input name="name" class="w-full" value="{{ old('name') }}" />
                        <x-single-input-error field-name="name" />
                    </div>



                    <div class="form-group my-10">
                        <x-input-label for="product_collection_description" value="Description" />
                        <textarea rows="7" name="description" id="product_collection_description"
                            class="border-gray-300 dark:border-gray-700 dark:bg-gray-900 dark:text-gray-300 focus:border-indigo-500 dark:focus:border-indigo-600 focus:ring-indigo-500 dark:focus:ring-indigo-600 rounded-md shadow-sm w-full">{{ old('description') }}</textarea>
                        <x-single-input-error field-name="description" />

                    </div>


                    <div class="form-group my-10">
                        <p class="my-5 text-xl">Attach Product Collection Image</p>
                        <input class="my-4" type="file" name="image" id="image" accept=".jpg, .png, .jpeg">
                        <x-single-input-error field-name="image" />
                    </div>

                    <x-primary-button>{{ __('Save') }}</x-primary-button>

                </form>
            </div>
        </div>


    </div>
</x-app-layout>
