<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Modify Product Collection') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8 lg:w-2/3 ">
            <div class="p-10 bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <header class="mb-10">
                    Fill the form below to edit this product collection
                </header>

                <form action="{{ route('productCollections.update', $productCollection->id) }}" method="POST"
                    enctype="multipart/form-data">@csrf @method('PATCH')
                    <div class="form-group">
                        <x-single-input-error field-name="image" />
                        <img src="{{ $productCollection->img_path }}" alt="">
                        <div class="mb-10 text-center">
                            <input class="" type="file" name="image" id="image"
                                accept=".jpg, .png, .jpeg">

                        </div>
                    </div>

                    <div class="form-group my-5">
                        <x-input-label for="name" value="Product Collection Name" class="my-2" />
                        <x-text-input name="name" class="w-full"
                            value="{{ old('name', $productCollection->name) }}" />
                        <x-single-input-error field-name="name" />
                    </div>

                    <div class="form-group my-10">
                        <x-input-label for="product_collection_description" value="Description" />
                        <x-single-input-error field-name="description" />
                        <textarea rows="7" name="description" id="product_collection_description"
                            class="border-gray-300 dark:border-gray-700 dark:bg-gray-900 dark:text-gray-300 focus:border-indigo-500 dark:focus:border-indigo-600 focus:ring-indigo-500 dark:focus:ring-indigo-600 rounded-md shadow-sm w-full">{{ old('name', $productCollection->description) }}</textarea>
                    </div>

                    <x-primary-button>{{ __('Save') }}</x-primary-button>

                </form>
            </div>
        </div>


    </div>
</x-app-layout>
