<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight">
            {{ __('Manage Products') }}
        </h2>
    </x-slot>

    <div class="py-12">
        <div class="max-w-7xl mx-auto sm:px-6 lg:px-8">
            <div class="bg-white dark:bg-gray-800 overflow-hidden shadow-sm sm:rounded-lg">
                <div class="px-10 text-gray-900 dark:text-gray-100 ">
                    <div class="flex justify-end">
                        <a href="{{ route('products.create') }}" class="my-5 rounded-xl text-sm bg-blue-600 text-white px-6 w-fit py-2">&plus; Add Product</a>

                    </div>

                    <div class="relative overflow-x-auto w-full">
                        <table class="w-full text-sm text-left rtl:text-right text-gray-500 dark:text-gray-400">
                            <thead
                                class="text-xs text-gray-700 uppercase bg-gray-50 dark:bg-gray-700 dark:text-gray-400">
                                <tr>
                                    <th scope="col" class="px-6 py-3">
                                        Product name
                                    </th>

                                    <th scope="col" class="px-6 py-3">
                                        Category
                                    </th>

                                    <th scope="col" class="px-6 py-3">
                                        sizes
                                    </th>

                                    <th scope="col" class="px-4 py-3">
                                        Price (₦)
                                    </th>

                                    <th scope="col" class="px-6 py-3">
                                        Actions
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($products as $product)
                                    <tr class="bg-white border-b dark:bg-gray-800 dark:border-gray-700">
                                        <th scope="row"
                                            class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap dark:text-white">
                                            {{ $product->name }}
                                        </th>
                                        <td class="px-6 py-4">
                                            {{ $product->getCategories() }}
                                        </td>
                                        <td class="px-6 py-4">
                                            <span class="text-lg uppercase">{{ $product->presentSizes() }}</span>
                                        </td>
                                        <td class="px-6 py-4">
                                            <span class="price">{{ number_format($product->price, 2) }}</span>
                                        </td>
                                        <td class="px-6 py-4">
                                            <div class="flex gap-5">
                                                <form action="{{ route('products.destroy', $product->id) }}" method="POST">
                                                    @csrf @method('DELETE')
                                                    <button type="submit">
                                                        <span class="currency text-red-600"><i
                                                                class="lni lni-trash-can"></i></span>
                                                    </button>
                                                </form>
                                                <a href="{{ route('products.edit', $product->id) }}">
                                                    <span class="currency"> <i class="lni lni-pencil"></i></span>
                                                </a>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
</x-app-layout>
