<!-- navmenu (sidebar-menu) component -->
{{-- <div class="hidden sidebar-component-container p-5"> --}}

{{-- navmenu toggle --}}
<button id="sidebar-menu-toggle"
    class="bg-inherit hover:bg-inherit focus:ring-4 focus:ring-transparent font-medium rounded-lg text-sm px-5 py-2.5 mb-2 dark:bg-blue-600 dark:hover:bg-blue-700 focus:outline-none dark:focus:ring-blue-800"
    type="button" aria-controls="sidebar-menu" data-drawer-target="sidebar-menu" data-drawer-show="sidebar-menu"
    aria-controls="sidebar-menu">
    <span class="sr-only">Open navigation menu</span><svg aria-hidden="true" fill="none" focusable="false"
        width="24" class="header__nav-icon icon icon-hamburger" viewBox="0 0 24 24">
        <path d="M1 19h22M1 12h22M1 5h22" stroke="currentColor" stroke-width="1.5" stroke-linecap="square"></path>
    </svg>
</button>
{{-- </div> --}}




<!-- drawer init and toggle -->


<!-- drawer component -->
<div id="sidebar-menu"
    class="fixed top-0 left-0  h-screen lg:w-[35%] p-4 overflow-y-auto transition-transform -translate-x-full bg-white w-64 dark:bg-gray-800"
    tabindex="-1" aria-labelledby="sidebar-menu-label">

    <button type="button" data-drawer-hide="sidebar-menu" aria-controls="sidebar-menu"
        class=" text-gray-900  bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-xl w-8 h-8 absolute top-2.5 start-2.5 inline-flex items-center justify-center dark:hover:bg-gray-600 dark:hover:text-white">
        <i class="lni lni-close"></i>
        <span class="sr-only">Close menu</span>
    </button>
    {{-- <h5 id="sidebar-menu-label" class="mt-5 text-base font-semibold text-gray-500 uppercase dark:text-gray-400">Menuaa</h5> --}}

    @php
        
        $generalCategories = ['home' => 'landingpage', 'shop all' => 'products.index'];
        
        // for dropdowns : pls don't delete
        $brandCategories = [
            'shop Create2Fit' => [
                'DRESSES',
                'SKIRTS',
                'JACKETS',
                'TOPS',
                'JUMPSUITS, SHORTS AND PANTS',
            ],
            
        ];
        $restCategories = ['jewelry', 'sale'];
    @endphp
    <div class="mt-20 py-5 overflow-y-auto">
        <ul class="space-y-2 font-light uppercase">
            @foreach ($generalCategories as $item => $routeName)
                <li>
                    <a href="{{ route($routeName) }}"
                        class=" border-b-2 border-b-gray-300  flex items-center py-0 my-5 text-gray-900 rounded-none dark:text-white hover:bg-transparent dark:hover:bg-transparent group">
                        <span class="ms-3">{{ $item }}</span>
                    </a>
                </li>
            @endforeach

            {{-- dropdowns --}}
            {{-- all dropdowns should follow this style --}}
            {{-- @foreach ($brandCategories as $title => $item)
                <li>
                    <div class=" border-b-2 border-b-gray-300 flex items-center w-full py-0 my-5 text-base text-gray-900 transition duration-75 rounded-none group hover:bg-transparent dark:text-white dark:hover:bg-transparent cursor-pointer"
                        aria-controls="dropdown-{{ \Str::slug($title) }}"
                        data-collapse-toggle="dropdown-{{ \Str::slug($title) }}">
                        <span class="flex-1 ms-3 text-left rtl:text-right whitespace-nowrap ">{{ $title }}</span>
                        <svg class="w-3 h-3" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" fill="none"
                            viewBox="0 0 10 6">
                            <path stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"
                                d="m1 1 4 4 4-4" />
                        </svg>
                    </div>
                    <ul id="dropdown-{{ \Str::slug($title) }}" class="hidden py-2 space-y-2">
                        @foreach ($item as $item)
                            <li>
                                <a href="#"
                                    class="flex items-center w-full p-2 text-gray-900 transition duration-75 rounded-lg pl-11 group hover:bg-gray-100 dark:text-white dark:hover:bg-gray-700">
                                    {{ $item }}
                                </a>
                            </li>
                        @endforeach

                    </ul>
                </li>
            @endforeach --}}

            @foreach ($collections as $item)
            <li>
                <a href="{{ route('productCollections.show', $item->id) }}"
                    class=" border-b-2 border-b-gray-300  flex items-center py-0 my-5 text-gray-900 rounded-none dark:text-white hover:bg-transparent dark:hover:bg-transparent group">
                    <span class="ms-3">{{ $item->name }}</span>
                </a>
            </li>
            @endforeach
        </ul>
    </div>
</div>
