<div>
    <div class="md:my-3 col relative uppercase font-light">
        {{-- route to single product page --}}
        <a href="{{ route('products.show', $product?->id) }}">
            <img src="/images/collections-photos/collection{{ rand(1, 3) }}.jpg" alt="" class="w-full ">
        </a>

        {{-- save to cart toggler btn --}}
        <div class="collection-title relative hover:scale-y-110 transition">
            @if (productInCart($product))
                <form wire:submit.prevent="removeFromCart()">
                    <button type="submit" uname="add-to-cart-btn" id="{{ $product->id }}" title="Remove from cart"
                        class="py-2 px-5 md:text-xl leading-10 absolute bottom-8 right-5 uppercase text-white bg-green-400 w-fit font-light ">
                        <i class="lni lni-minus"></i>
                    </button>
                </form>
            @else
                <form wire:submit.prevent="addToCart()">
                    <button type="submit" uname="remove-from-cart-btn" id="{{ $product->id }}" title="Add to cart"
                        class="py-2 px-5 md:text-xl leading-10 absolute bottom-8 right-5 uppercase text-black bg-white w-fit font-light ">
                        <i class="lni lni-plus"></i>
                    </button>
                </form>
            @endif
        </div>

        {{-- save to wishlist toggler btn --}}
        <div class="collection-title relative hover:scale-y-110 transition">
            @if (productInCart($product, 'wishlist'))
                <form wire:submit.prevent="removeFromWishlist()">
                    <button type="submit" uname="add-to-cart-btn" id="{{ $product->id }}" title="Remove from wishlist"
                        class="py-2 px-5 md:text-xl leading-10 absolute bottom-8 right-32 uppercase text-black bg-red-400 w-fit font-light ">
                        <i class="lni lni-heart text-xl"></i>
                    </button>
                </form>
            @else
                <form wire:submit.prevent="addToWishlist()">
                    <button type="submit" uname="remove-from-cart-btn" id="{{ $product->id }}" title="Add to wishlist"
                        class="py-2 px-5 md:text-xl leading-10 absolute bottom-8 right-32 uppercase text-black bg-white w-fit font-light ">
                        <i class="lni lni-heart text-xl"></i>
                    </button>
                </form>
            @endif
        </div>

        <div class="product-info text-center my-5">
            <div class="product-brand-container">
                {{-- route to brand collection  --}}
                create2fit
            </div>
            <div class="product-name-container">
                {{-- route to single product page --}}
                {{ $product?->name }}
            </div>
            <div class="product-price flex justify-center gap-4">
                <div class="fake-price  line-through">₦ <span
                        class="product-price">{{ number_format($product?->price * 2, 2) }}</span> NGN</div>
                <div class="current-price text-green-600">₦ <span
                        class="product-price">{{ number_format($product?->price, 2) }}</span> NGN</div>
            </div>
        </div>
    </div>

</div>
