<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Billing Information') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's billing information and address.") }}
        </p>
    </header>

    <form action="{{ route('update-billing-info') }}" method="POST" class="lg:py-[2rem] ">@csrf

        {{-- name container --}}
        <div class="form-group client-name-container lg:flex lg:gap-3 w-full mb-5">
            <div class="my-3 lg:my-0 first-name-field w-full">
                <label for="first_name">First Name</label>
                <input type="text" placeholder="First Name" name="first_name" class="rounded w-full" 
                value="{{ old('first_name', authy()->billingData?->first_name) }}">
            </div>
            <div class="first-name-field w-full">
                <label for="last_name">Last Name</label>
                <input type="text" name="last_name" placeholder="Last Name" class="rounded w-full" 
                value="{{ old('last_name', authy()->billingData?->last_name) }}">

            </div>
        </div>

        {{-- company field --}}
        <div class="company-name-field w-full my-7">
            <label for="xxx">Company Name</label>
            <input type="text" name="company" placeholder="Company Name (optional)" class="rounded w-full"
            value="{{ old('company', authy()->billingData?->company) }}">
        </div>

        {{-- address line 1 field --}}
        <div class="address-field w-full my-7">
            <label for="address_line1">Address Line 1</label>
            <input type="text" name="address_line1" placeholder="Address" class="rounded w-full"
            value="{{ old('address_line1', authy()->billingData?->address_line1) }}">

        </div>

        {{-- address line2 field --}}
        <div class="apt-field w-full my-7">
            <label for="address_line2">Address Line 2</label>
            <input type="text" name="address_line2" id="apt" placeholder="Apartment, Suite, etc. (optional)"
                class="rounded w-full" 
                value="{{ old('address_line2', authy()->billingData?->address_line2) }}">

        </div>

        {{-- location info (city, state, zip) --}}
        <div class="form-group client-name-container lg:flex lg:gap-3 w-full my-7">
            <div class="my-3 lg:my-0 city-name-field w-full">
                <label for="city">City</label><br>
                <input type="text" name="city" placeholder="City" class="rounded w-full" id="city"
                value="{{ old('city', authy()->billingData?->city) }}">

            </div>

            <div class="my-3 lg:my-0 state-name-field w-full">
                <label for="state">State</label><br>
                <input type="text" name="state" placeholder="State" class="rounded w-full"
                value="{{ old('state', authy()->billingData?->state) }}">
                
            </div>

            <div class="my-3 lg:my-0 zip-code-field w-full">
                <label for="zip">Zip</label><br>
                <input type="text" name="zip" placeholder="Zip Code (optional)" class="rounded w-full"
                value="{{ old('zip', authy()->billingData?->zip) }}">
            </div>
        </div>

        {{-- Phone field --}}
        <div class="apt-field w-full my-7">
            <label for="phone">Phone</label>
            <input type="number" name="phone" placeholder="Phone" class="rounded w-full"
            value="{{ old('phone', authy()->billingData?->phone) }}">

        </div>

        <div class="flex items-center gap-4 mt-5">
            <x-primary-button>{{ __('Save') }}</x-primary-button>
        </div>
    </form>
</section>
