<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Update Profile Photo') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __('Ensure you only upload files with .jpg, .png, .jpeg extensions') }}
        </p>
    </header>
    <form method="post" action="{{ route('displayphoto.update') }}" class="mt-6 space-y-6" enctype="multipart/form-data">
        @csrf
        <div>
            <x-input-label for="update_photo_current_photo" :value="__('Current Photo')" />
            <div class="flex gap-8">
                <img src="{{ authy()?->dp }}" alt="none" class="w-48">
                <label for="">Upload your new Profile Photo
                    <input type="file" name="dp" id="dp" accept=".jpg, .png, .jpeg">
                    <x-single-input-error field-name="dp" />
                </label>
            </div>
        </div>

        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'photo-updated')
                <p x-data="{ show: true }" x-show="show" x-transition x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400">{{ __('Saved.') }}</p>
            @endif
        </div>
    </form>
</section>
