<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            <?php echo e(__('Billing Information')); ?>

        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            <?php echo e(__("Update your account's billing information and address.")); ?>

        </p>
    </header>

    <form action="<?php echo e(route('update-billing-info')); ?>" method="POST" class="lg:py-[2rem] "><?php echo csrf_field(); ?>

        
        <div class="form-group client-name-container lg:flex lg:gap-3 w-full mb-5">
            <div class="my-3 lg:my-0 first-name-field w-full">
                <label for="first_name">First Name</label>
                <input type="text" placeholder="First Name" name="first_name" class="rounded w-full" 
                value="<?php echo e(old('first_name', authy()->billingData?->first_name)); ?>">
            </div>
            <div class="first-name-field w-full">
                <label for="last_name">Last Name</label>
                <input type="text" name="last_name" placeholder="Last Name" class="rounded w-full" 
                value="<?php echo e(old('last_name', authy()->billingData?->last_name)); ?>">

            </div>
        </div>

        
        <div class="company-name-field w-full my-7">
            <label for="xxx">Company Name</label>
            <input type="text" name="company" placeholder="Company Name (optional)" class="rounded w-full"
            value="<?php echo e(old('company', authy()->billingData?->company)); ?>">
        </div>

        
        <div class="address-field w-full my-7">
            <label for="address_line1">Address Line 1</label>
            <input type="text" name="address_line1" placeholder="Address" class="rounded w-full"
            value="<?php echo e(old('address_line1', authy()->billingData?->address_line1)); ?>">

        </div>

        
        <div class="apt-field w-full my-7">
            <label for="address_line2">Address Line 2</label>
            <input type="text" name="address_line2" id="apt" placeholder="Apartment, Suite, etc. (optional)"
                class="rounded w-full" 
                value="<?php echo e(old('address_line2', authy()->billingData?->address_line2)); ?>">

        </div>

        
        <div class="form-group client-name-container lg:flex lg:gap-3 w-full my-7">
            <div class="my-3 lg:my-0 city-name-field w-full">
                <label for="city">City</label><br>
                <input type="text" name="city" placeholder="City" class="rounded w-full" id="city"
                value="<?php echo e(old('city', authy()->billingData?->city)); ?>">

            </div>

            <div class="my-3 lg:my-0 state-name-field w-full">
                <label for="state">State</label><br>
                <input type="text" name="state" placeholder="State" class="rounded w-full"
                value="<?php echo e(old('state', authy()->billingData?->state)); ?>">
                
            </div>

            <div class="my-3 lg:my-0 zip-code-field w-full">
                <label for="zip">Zip</label><br>
                <input type="text" name="zip" placeholder="Zip Code (optional)" class="rounded w-full"
                value="<?php echo e(old('zip', authy()->billingData?->zip)); ?>">
            </div>
        </div>

        
        <div class="apt-field w-full my-7">
            <label for="phone">Phone</label>
            <input type="number" name="phone" placeholder="Phone" class="rounded w-full"
            value="<?php echo e(old('phone', authy()->billingData?->phone)); ?>">

        </div>

        <div class="flex items-center gap-4 mt-5">
            <?php if (isset($component)) { $__componentOriginald411d1792bd6cc877d687758b753742c = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginald411d1792bd6cc877d687758b753742c = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.primary-button','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('primary-button'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?><?php echo e(__('Save')); ?> <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginald411d1792bd6cc877d687758b753742c)): ?>
<?php $attributes = $__attributesOriginald411d1792bd6cc877d687758b753742c; ?>
<?php unset($__attributesOriginald411d1792bd6cc877d687758b753742c); ?>
<?php endif; ?>
<?php if (isset($__componentOriginald411d1792bd6cc877d687758b753742c)): ?>
<?php $component = $__componentOriginald411d1792bd6cc877d687758b753742c; ?>
<?php unset($__componentOriginald411d1792bd6cc877d687758b753742c); ?>
<?php endif; ?>
        </div>
    </form>
</section>
<?php /**PATH /home/martins/udo/repo/gigs/create2fitbyrume/resources/views/profile/partials/update-billing-information-form.blade.php ENDPATH**/ ?>